/*
 * @file exo_ahw_al_dt_stub.c
 *
 * @brief This file has abstracted stub functions for digital thermostat
 *
 * @copyright Copyright 2023 Antaris, Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "stdio.h"
#include <stdlib.h>
#include "exo_ahw_al_dt_common.h"

#ifndef __weak
   #define __weak   __attribute__((weak))
#endif /* __weak */

__weak hal_ret_sts ahw_al_dt_init(ahw_al_dt_hdle* hdt_arg, ahw_inst_id_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_deinit(ahw_al_dt_hdle* hdt_arg, ahw_inst_id_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_set_temperature_high_threshold (uint32_t ahw_id, double high_temp_threshold)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_set_temperature_low_threshold (uint32_t ahw_id, double low_temp_threshold)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_get_temperature (uint32_t ahw_id, double* temperature)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_config (uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_set_resolution (uint32_t ahw_id, digital_thermos_resolution res)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_get_resolution(uint32_t ahw_id, digital_thermos_resolution *res )
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_set_conv_mode (uint32_t ahw_id, uint8_t  mode)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_set_po_lvl (uint32_t ahw_id, uint8_t lvl)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_set_po_lvl_alert_sts(uint32_t ahw_id, uint8_t* lvl)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_reset(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}

__weak hal_ret_sts ahw_al_dt_start_conversion(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_stop_conversion(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_get_po_lvl(uint32_t ahw_id,uint8_t *lvl)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_get_mode(uint32_t ahw_id,uint8_t *mode)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_get_temperature_low_thrshd(uint32_t ahw_id,double *low_temp_thrshld)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_get_temperature_high_thrshd(uint32_t ahw_id,double *high_temp_thrshld)
{
	return HAL_DRIVER_DISABLED;
}
__weak hal_ret_sts ahw_al_dt_reset_alert_flag(uint32_t ahw_id)
{
	return HAL_DRIVER_DISABLED;
}





